嵌入式爱好者

查看: 684|回复: 2

[Ubuntu] 交叉编译器相关问题

[复制链接]

4

主题

9

帖子

36

积分

i.MX6UL通行证

扫一扫,手机访问本帖
发表于 2019-10-23 10:22:39 | 显示全部楼层 |阅读模式
请教一下如何在Ubuntu64位系统安装gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12.tar.gz??
我试装了几次都没有成功。
32位兼容库也装了
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 zlib1g:i386
sudo apt-get install lib32ncurses5 ​
sudo apt-get install lib32z1


总是提示
-bash: /opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/bin/arm-fsl-linux-gnueabi-gcc: cannot execute binary file: Exec format error



回复

使用道具 举报

2

主题

3661

帖子

3396

积分

发表于 2019-10-24 13:09:06 | 显示全部楼层
推荐使用飞凌官方搭建好的ubuntu开发环境,已经装好交叉编译器,如果是自己搭建环境,参考用户手册,编译环境搭建章节

点评

请问一下,就没有适用于64位系统的交叉编译器吗?  详情 回复 发表于 2019-10-24 15:39
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

4

主题

9

帖子

36

积分

i.MX6UL通行证

 楼主| 发表于 2019-10-24 15:39:38 | 显示全部楼层
飞凌-chongzi 发表于 2019-10-24 13:09
推荐使用飞凌官方搭建好的ubuntu开发环境,已经装好交叉编译器,如果是自己搭建环境,参考用户手册,编译环 ...

请问一下,就没有适用于64位系统的交叉编译器吗?
点评回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|飞凌嵌入式 ( 冀ICP备12004394号-1

GMT+8, 2019-12-12 14:25

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表